<?php
namespace SabaiApps\Directories\Component\Fieldset\ViewMode;

use SabaiApps\Directories\Component\View\Mode\ListMode;
use SabaiApps\Directories\Component\Entity\Model\Bundle;

class ListViewMode extends ListMode {

	protected function _viewModeInfo() {
		return array(
			'displays'          => array(),
			'default_display'   => null,
			'system'            => true,
			'features_disabled' => array(
				'query',
				'filter',
			),
		) + parent::_viewModeInfo();
	}

	public function viewModeSupports( Bundle $bundle ) {
		return $bundle->entitytype_name === 'fieldset';
	}

	public function viewModeNav( Bundle $bundle, array $settings ) {
		return array(
			array(
				array( array( 'num' ), array(), array( 'layout_switch', 'sort' ) ),
				array( array(), array(), array() ),
			), // header
			array(
				array( array(), array(), array() ),
				array( array(), array( 'load_more' ), array( 'perpages', 'pagination' ) ),
			), // footer
		);
	}
}
